package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zsy
 * @description:信任他人量表
 * @date 2021/7/20 15:55
 */
public class TIPScale extends BaseScale{

    public TIPScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public  JSONObject scaleCalculate() throws Exception {
        //得分
        int score = 0;
        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (i == 0) {
                if (jsonObject1.getString("checkItems").equals("多数人值得信任")) {
                    score += 1;
                }
            } else if (i == 1) {
                if (jsonObject1.getString("checkItems").equals("乐于助人")) {
                    score += 1;
                }
            } else if (i == 2) {
                if (jsonObject1.getString("checkItems").equals("公正对待")) {
                    score += 1;
                }
            }
        }
        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));

        List<Map<String,String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList",resultMapList);
        returnJson.put("scaleName",Constant.SHEET_NAME_TIP);
        returnJson.put("resultJson",resultJson);

        return returnJson;
    }
}
